%define url_ver %(echo %{version} | cut -d. -f1,2)

%define _exclude_files_from_autoprov	%{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A weather plugin for the Xfce panel
Name:		xfce4-weather-plugin
Version:	0.8.2
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-weather-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/xfce4-weather-plugin/%{url_ver}/%{name}-%{version}.tar.bz2

BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	xfce4-panel

%description
This panel plugin shows the current temperature and weather condition, 
using weather data provided by the Norwegian Meteorological Institute.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std 

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_datadir}/xfce4/weather/
%{_datadir}/xfce4/panel/plugins/weather.desktop
%{_libdir}/xfce4/panel/plugins/libweather.so
%{_iconsdir}/hicolor/*/apps/*.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.8.2-2.mga3
+ Revision: 386881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + wally <wally>
    - exclude plugin .so from provides

* Thu Sep 13 2012 wally <wally> 0.8.2-1.mga3
+ Revision: 293690
- new version 0.8.2
- drop patches from upstream

* Mon Aug 13 2012 wally <wally> 0.8.1-3.mga3
+ Revision: 281144
- add a patch from upstream git to clear scrollbox labels before updating conditions (xfce#9210)

* Tue Aug 07 2012 wally <wally> 0.8.1-2.mga3
+ Revision: 279732
- add a patch from upstream git to fix a crash in summary window

* Mon Aug 06 2012 wally <wally> 0.8.1-1.mga3
+ Revision: 279501
- new version 0.8.1

* Mon Jul 23 2012 wally <wally> 0.8.0-1.mga3
+ Revision: 273701
- new version 0.8.0

* Sat Jul 21 2012 wally <wally> 0.7.4-6.git20120721.1.mga3
+ Revision: 273082
- use latest git snapshot

* Fri Jul 13 2012 wally <wally> 0.7.4-6.git20120713.1.mga3
+ Revision: 270650
- latest git snapshot (without patches added in previous release)

* Mon Jul 02 2012 wally <wally> 0.7.4-6.git20120629.2.mga3
+ Revision: 266760
- add slightly modified scrolled-window-for-small-screens.patch from upstream bugzilla
- rename P0 and add a comment to it"

* Fri Jun 29 2012 wally <wally> 0.7.4-6.git20120629.1.mga3
+ Revision: 265112
- use latest git snapshot with new forecast tab patch from upstream bugzilla (mga#6622)

* Thu May 31 2012 wally <wally> 0.7.4-5.mga3
+ Revision: 252453
- port to libxfce4ui

* Mon May 28 2012 wally <wally> 0.7.4-4.mga3
+ Revision: 248600
- rebuild for new libxfce4util
- clean .spec

* Tue Jan 03 2012 wally <wally> 0.7.4-3.mga2
+ Revision: 190034
- rebuild for new xfce4-panel

* Sun Nov 20 2011 wally <wally> 0.7.4-2.mga2
+ Revision: 169949
- fix expired XOAP license key (patch from arch linux)

* Tue Jul 12 2011 wally <wally> 0.7.4-1.mga2
+ Revision: 123336
- clean .spec
- imported package xfce4-weather-plugin

